<?php
//include "ver_sessao.php";
include "conecta.php";


	switch( $_GET[c] ) {
	case 'bairro':			$TABELA = 'bairro';		break;
	case 'cidade':			$TABELA = 'cidade';		break;
	case 'entidade':		$TABELA = 'entidade';		break;
	case 'departamento':	        $TABELA = 'departamento';	break;
	case 'cargo':			$TABELA = 'cargo';		break;
	case 'evento':			$TABELA = 'eventotipo';		break;
	case 'projeto':			$TABELA = 'projeto';		break;
	case 'banco':			$TABELA = 'banco';		break;
	case 'cbo':			$TABELA = 'cbo';		break;
	case 'funcionario':		$TABELA = 'funcionario';	break;
	case 'ocorrenciatipo':		$TABELA = 'ocorrenciatipo';	break;
	case 'categoriacompra':         $TABELA = 'categoriacompra';	break;
	case 'situacaosefip':	        $TABELA = 'situacaosefip';	break;
	case 'sindicato':	        $TABELA = 'sindicato';		break;
	case 'tomador':	                $TABELA = 'tomador';		break;
	case 'ocorrenciatipo':	        $TABELA = 'ocorrenciatipo';	break;
	// case 'cliente':	        $TABELA = 'cliente';	break;
	case 'equipamento':	        $TABELA = 'equipamento';	break;
	case 'servico':	        $TABELA = 'servico';	break;
	case 'produto':	        $TABELA = 'produto';	break;
	case 'cliente':        $TABELA = 'entidade'; $EXTRA=" AND enti_tx_tipo='cliente'";	break;
	case 'profissional':        $TABELA = 'entidade'; $EXTRA=" AND enti_tx_tipo='profissional'";	break;

default:	
		echo "Tabela Inválida";	
		exit;		
	break;
	}




	$TAB = substr($TABELA,0,4);
	$filtro = "AND (".$TAB."_tx_nome LIKE '%$_GET[busca]%')";

	if($_GET[profissao])
		$EXTRA .= " AND ".$TAB."_nb_profissao = $_GET[profissao]";


	$sql = selecionar($TABELA,$TAB."_tx_status","ativo"," $EXTRA $filtro ".grid::order_by($TAB.'_tx_nome')." LIMIT 15");
	// inicio do grid
	
	while( $a = mysql_fetch_array($sql) ) {

		if($a[prod_nb_marca]>0){
			$a_marc = carregar('marc_tx_nome|marca',$a[prod_nb_marca]);
			$a[$TAB."_tx_nome"] = $a[$TAB."_tx_nome"]." [$a_marc[0]]";
		}
		
		$nome_js = str_replace(" ","%20",$a[$TAB.'_tx_nome']);
		$id = $a[$TAB."_nb_id"];
		$nome = $a[$TAB."_tx_nome"];
		$nome2 = $a[$TAB."_tx_nome"];

		$estilo = 'combo_novo_normal';
		if( $i++ == 0  && $_GET[busca] ) {
			javascript("parent.combo_novo_sel_auto('$_GET[campo]','$id','".$nome_js."')");
			$estilo = 'combo_novo_ativo';
		}

		$l .= "<a class=$estilo href=javascript:combo_novo_sel('$_GET[campo]','$id','".$nome_js."')>$nome</a><BR>";
		
		$COMBO_NOVO_ID .= "$id<cactux>";
		$COMBO_NOVO_NOME .= "$nome<cactux>";
	}

	javascript("
		
		parent.COMBO_NOVO_ID='$COMBO_NOVO_ID';
		parent.COMBO_NOVO_NOME='$COMBO_NOVO_NOME';
		
		parent.combo_novo_abre('".$_GET[campo]."');
		window.parent.$('nova_div_".$_GET[campo]."').innerHTML=\"".$l."\";
	");
	
?>